Bug 120274 - (SCSI AIC7XXX)Debug: sleeping function called from invalid context at include/asm/semaphore.h:119
Summary: (SCSI AIC7XXX)Debug: sleeping function called from invalid context at include...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-07 15:06 UTC by Neal Becker
Modified: 2015-01-04 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:10:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neal Becker 2004-04-07 15:06:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Apr  7 11:03:20 rpppc1 kernel: Debug: sleeping function called from invalid context at include/asm/semaphore.h:119
Apr  7 11:03:20 rpppc1 kernel: in_atomic():0, irqs_disabled():1
Apr  7 11:03:20 rpppc1 kernel: Call Trace:
Apr  7 11:03:20 rpppc1 kernel:  [<021240a3>] __might_sleep+0x80/0x8a
Apr  7 11:03:20 rpppc1 kernel:  [<428ca2ac>] ahc_linux_kill_dv_thread+0x163/0x201 [aic7xxx]
Apr  7 11:03:20 rpppc1 kernel:  [<428d0d39>] ahc_linux_exit+0xa9/0x131 [aic7xxx]
Apr  7 11:03:20 rpppc1 kernel:  [<0213d9b9>] sys_delete_module+0xfe/0x11e
Apr  7 11:03:20 rpppc1 kernel:  [<021591b1>] unmap_vma_list+0xe/0x17
Apr  7 11:03:20 rpppc1 kernel:  [<021596c2>] do_munmap+0x1dc/0x1e6
Apr  7 11:03:20 rpppc1 kernel: 
Apr  7 11:03:25 rpppc1 kernel: PCI: Enabling device 0000:01:06.0 (0006 -> 0007)
Apr  7 11:03:25 rpppc1 kernel: scsi3 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
Apr  7 11:03:25 rpppc1 kernel:         <Adaptec 29160 Ultra160 SCSI adapter>
Apr  7 11:03:25 rpppc1 kernel:         aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs
Apr  7 11:03:25 rpppc1 kernel: 


Version-Release number of selected component (if applicable):
2.6.3-2.1.253.2.1

How reproducible:
Didn't try

Steps to Reproduce:
1.modprobe -r aic7xxx
2.modprobe aic7xxx
3.
    

Additional info:

My tape drive sounds like a vaccuum cleaner, so I only turn it on when needed.  It is scsi.  Usually, turn on, then modprobe -r aic7xxx, then modprobe aic7xxx gets it to notice tape.  Fortunately, nothing else is hooked to scsi, so this is OK to load/unload.

But then this problem appeared.

Comment 1 Dave Jones 2004-12-08 06:00:34 UTC
should be fixed in the latest 2.6.9 update.

Comment 2 Dave Jones 2005-04-16 04:10:04 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.